Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.file
Class ImportTableEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.file.ImportTableEdit

All Implemented Interfaces:
  UndoableEdit

    public class ImportTableEdit

extends DocumentEdit

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary
`private NodeBranchDataAdapter[]` | `adapters`
`private NodeBranchDataBackup[]` | `backups`
`private String[][]` | `data`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`ImportTableEdit(Document document, String[][] data, NodeBranchDataAdapter[] adapters)`

Method Summary
`private NodeBranchDataBackup[]` | `createBackups()`
`String` | `getPresentationName()`
`boolean` | `importData(NodeBranchDataAdapter[] adapters, String[][] data)`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    private String[][] data

### adapters

    private NodeBranchDataAdapter[] adapters

### backups

    private NodeBranchDataBackup[] backups

Constructor Detail

### ImportTableEdit

    public ImportTableEdit(Document document,
                           String[][] data,
                           NodeBranchDataAdapter[] adapters)

Method Detail

### createBackups

    private NodeBranchDataBackup[] createBackups()

### importData

    public boolean importData(NodeBranchDataAdapter[] adapters,
                              String[][] data)

  Parameters:
    `adapters` -
    `data` -
  Returns:
    `true`, if all data has been imported, `false`, if one or more unique node name was not found in the current tree

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD